---
title: EXT_frag_depth
slug: Web/API/EXT_frag_depth
tags:
  - API
  - Fragment Shader
  - Reference
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>EXT_frag_depth</strong></code> extension is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> and enables to set a depth value of a fragment from within the fragment shader.</p>

<p>WebGL extensions are available using the {{domxref("WebGLRenderingContext.getExtension()")}} method. For more information, see also <a href="/en-US/docs/Web/API/WebGL_API/Using_Extensions">Using Extensions</a> in the <a href="/en-US/docs/Web/API/WebGL_API/Tutorial">WebGL tutorial</a>.</p>

<div class="note">
<p><strong>Availability:</strong> This extension is only available to {{domxref("WebGLRenderingContext", "WebGL1", "", 1)}} contexts. In {{domxref("WebGL2RenderingContext", "WebGL2", "", 1)}}, the functionality of this extension is available on the WebGL2 context by default. It requires GLSL <code>#version 300 es</code>.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>Enable the extension:</p>

<pre class="brush: js">gl.getExtension('EXT_frag_depth');</pre>

<p>Now the output variable <code>gl_FragDepthEXT</code> is available to set a depth value of a fragment from within the fragment shader:</p>

<pre class="brush: html">&lt;script type="x-shader/x-fragment"&gt;
void main() {
  gl_FragColor = vec4(1.0, 0.0, 1.0, 1.0);
  gl_FragDepthEXT = 0.5;
}
&lt;/script&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EXT_frag_depth', "", "EXT_frag_depth")}}</td>
   <td>{{Spec2('EXT_frag_depth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.EXT_frag_depth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
</ul>
